#ifndef DIALOGSETTINGTABLE_H
#define DIALOGSETTINGTABLE_H

#include <QDialog>

#include "common.h"
#include "commondata.h"


namespace Ui {
class DialogSettingTable;
}

class DialogSettingTable : public QDialog
{
    Q_OBJECT

public:
    explicit DialogSettingTable(QWidget *parent = nullptr);
    ~DialogSettingTable();

    void CheckVerticalScrollBar();

    void SetListType(int nType);

protected:
    int m_nListType;
    STableHeader m_TableHeader;

private slots:
    void on_pushButton_Save_clicked();


    void ScrollChangeChoose(int nValue);
    void ScrollChangeSelection(int nValue);

    void on_pushButton_Active_clicked();

    void on_pushButton_Inactive_clicked();

    void on_pushButton_Up_clicked();

    void on_pushButton_Down_clicked();

private:
    Ui::DialogSettingTable *ui;
};

#endif // DIALOGSETTINGTABLE_H
